﻿
@font-face {
    font-family: 'Inter-Medium';
    src: url('../fonts/Inter-Medium.ttf') format('truetype');
}

:root {
    font-family: "Inter-Medium";
    font-size: 16px;
    --noti-gradient: linear-gradient(to bottom, #2eadff, #3d83ff, #7e61ff);
    --noti-color: #32a6ff
}

*, *:before, *:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.notifications {
    overflow-y: hidden;
    overflow-x: hidden;
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    padding-bottom: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.secondary-notifications {
    overflow-y: hidden;
    overflow-x: hidden;
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    padding-bottom: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.extra-notifications {
    overflow-y: hidden;
    overflow-x: hidden;
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    padding-bottom: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.extra-notifications2 {
    overflow-y: hidden;
    overflow-x: hidden;
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    padding-bottom: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.noti {
    margin-left: auto;
    margin-right: auto;
    width: 18rem;
    position: relative;
    height: 0;
    transition: height 300ms ease;
    flex-shrink: 0;
    opacity: 1;
}

    .noti.out {
        animation: notiOut 500ms ease forwards
    }

@keyframes notiOut {
    to {
        height: 0;
    }
}

.noticard {
    position: absolute;
    bottom: 0;
    display: flex;
    flex-direction: column;
    isolation: isolate;
    width: 18rem;
    d-height: 8rem;
    background: #29292c;
    border-radius: 1rem;
    overflow: hidden;
    animation: notiCardIn 500ms ease;
}

@keyframes notiCardIn {
    from {
        transform: translateX(50%);
        opacity: 0;
    }
}

.noti.out .noticard {
    animation: notiCardOut 500ms ease forwards
}

@keyframes notiCardOut {
    to {
        opacity: 0;
        transform: scale(0.5)
    }
}

.noticard:before {
    position: absolute;
    content: "";
    inset: 0.0625rem;
    border-radius: 0.9375rem;
    background: #18181b;
    z-index: 2
}

.noticard:after {
    position: absolute;
    content: "";
    width: 0.25rem;
    inset: 0.65rem auto 0.65rem 0.5rem;
    border-radius: 0.125rem;
    transition: transform 300ms ease;
    z-index: 4;
}

.noticard:hover:after {
    transform: translateX(0.15rem)
}

.notititle {
    color: var(--noti-color);
    padding: 0.65rem 0.5rem 0.4rem 1.25rem;
    font-weight: 500;
    font-size: 1.1rem;
    transition: transform 300ms ease;
    z-index: 5;
}

.noti:hover .notititle {
    transform: translateX(0.15rem)
}

.notidesc {
    color: #99999d;
    padding: 0 0.5rem 0.85rem 1.25rem;
    transition: transform 300ms ease;
    z-index: 5;
}

.noti:hover .notidesc {
    transform: translateX(0.25rem)
}

.notiglow, .notiborderglow {
    position: absolute;
    width: 20rem;
    height: 20rem;
    transform: translate(-50%, -50%);
    background: radial-gradient(circle closest-side at center, white, transparent);
    opacity: 0;
    transition: opacity 300ms ease;
}

.notiglow {
    z-index: 3;
}

.notiborderglow {
    z-index: 1;
}

.noti:hover .notiglow {
    opacity: 0.1
}

.noti:hover .notiborderglow {
    opacity: 0.1
}
